Subject: [rrg] Qualifying the Harmfulness of Address Translation

From: Christian Vogt <[email-masked]>
Date: Mon, 16 Mar 2009 13:32:53 -0700

Dear RRG Fellows -

During the design of Six/One Router, I spent much of my energy on
finding a translation-based solution that, even when deployed
unilaterally and thus not transparent to applications, would avoid as
much as possible of the problems of IPv4 NAPT.

More recently, many of the issues that motivated this earlier work have
again come up in the discussion around IPv6 NAT (aka "NAT66").  I hence
decided to document my earlier analysis as input to this discussion:

http://users.piuha.net/chvogt/pub/2009/draft-vogt-address-translation-harmfulness-02.txt

The analysis looks at potential problems of different address translator
designs, and evaluates the cost and completeness of solutions to those
problems.  Although the analysis is written for the IPv6 NAT community,
I believe it has value also here within RRG.  Comments appreciated.

- Christian

PS:  On terminology:  The "one-to-one address translator" evaluated in
the analysis is what Six/One Router uses in Unilateral mode.

---

From: Fred Baker <[email-masked]>
Date: Mon, 16 Mar 2009 13:44:25 -0700

> I believe it has value also here within RRG.  Comments appreciated.

I think it has a lot of value for the rrg community, as I think it  
directly comments on the simplest and most scalable design for IPv6  
routing available.

---

From: "Flinck, Hannu (NSN - FI/Espoo)" <[email-masked]>
Date: Thu, 19 Mar 2009 14:10:23 +0200

Hello Christian

Thank you for a good document. When reading it, it occurred to me that
how is it with nesting of one-to-one translators into a hierarchy. Would
that be somewhat expensive in terms of address usage and in particular
for discovery (ref. section 4.1 in your document), as costly as with
one-to-many for reachability discovery and more expensive in terms of
address usage?

Best regards
Hannu   

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of ext Christian Vogt
>Sent: Monday, March 16, 2009 22:33
>To: Routing Research Group Mailing List
>Subject: [rrg] Qualifying the Harmfulness of Address Translation
>
>Dear RRG Fellows -
>
>During the design of Six/One Router, I spent much of my energy 
>on finding a translation-based solution that, even when 
>deployed unilaterally and thus not transparent to 
>applications, would avoid as much as possible of the problems 
>of IPv4 NAPT.
>
>More recently, many of the issues that motivated this earlier 
>work have again come up in the discussion around IPv6 NAT (aka 
>"NAT66").  I hence decided to document my earlier analysis as 
>input to this discussion:
>
>The analysis looks at potential problems of different address 
>translator designs, and evaluates the cost and completeness of 
>solutions to those problems.  Although the analysis is written 
>for the IPv6 NAT community, I believe it has value also here 
>within RRG.  Comments appreciated.
>
>- Christian
>
>
>PS:  On terminology:  The "one-to-one address translator" 
>evaluated in the analysis is what Six/One Router uses in 
>Unilateral mode.
>
>
>
>_______________________________________________
>rrg mailing list
>[email-masked]
>http://www.irtf.org/mailman/listinfo/rrg
>